package com.ruoyi.tcZz.mapper;

import com.ruoyi.tcZz.domain.reponse.ScreenOpinionReportResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSourceResponse;
import com.ruoyi.tcZz.domain.reponse.ScreenSupervisionResponse;

/**
 * 大屏接口数据层
 */
public interface ScreenMapper {


    /**
     * 大屏监管对象
     */

    ScreenSupervisionResponse getScreenSupervision();


    /**
     * 大屏数据来源
     */

    ScreenSourceResponse getScreenSource();

    /**
     * 大屏舆情报告
     *
     * @return
     */

    ScreenOpinionReportResponse getScreenOpinionReport();
}
